#include <vector>
namespace meta {
	template<typename T>
	void padding_vector(std::vector<T>& vec, size_t multiple, const T& paddingValue = T()) {
		if (multiple == 0) return; // 避免除以零
		size_t remainder = vec.size() % multiple;
		if (remainder != 0) {
			size_t padding = multiple - remainder;
			vec.insert(vec.end(), padding, paddingValue);
		}
	}
}